<?php
/**
 * FieldSettingsMaskEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * FieldSettingsMaskEnum Class Doc Comment
 *
 * @category Class
 * @description Значение битов маски редактирования свойств настройки поля товара: * 1 - имя * 2 - модерируемость * 4 - обязательность заполнения * 8 - категория метрик
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class FieldSettingsMaskEnum
{
    
    /** Имя */
    public const NAME = 1;
    
    /** Модерируемость */
    public const MODERATED = 2;
    
    /** Обязательность заполнения */
    public const REQUIRED = 4;
    
    /** Категория метрик */
    public const METRICS = 8;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::NAME,
            self::MODERATED,
            self::REQUIRED,
            self::METRICS,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::NAME => 'Имя',
            self::MODERATED => 'Модерируемость',
            self::REQUIRED => 'Обязательность заполнения',
            self::METRICS => 'Категория метрик',
        ];
    }
}


